require_dependency "client/application_controller"

module Client
  class ProfilesController < ApplicationController

    before_action :set_profile, only: [:show, :edit, :update, :destroy]

    def index
        @profile = current_user.profiles.paginate(page: params[:page, per_page: 10])
    end

    def new
    end

    def show
    end

    def edit
    end

    def create
        
    end

    def update
        
    end

    def destroy
        
    end

    protected

        def profile_params
            params.require(:profile).permit(:first_name, :last_name, :phone, :email, :address, :document, :document_type, :birthday, :country, :city, :locality, :iva_category)
        end

        def set_profile
            @profile = current_user.profiles.find(params[:id])
        end
  end
end
